解决Java compiler level does not match the version of the installed Java project facet问题

如图所示:


其实要解决也很简单,在资源管理器下,找到项目所在的目录,在.settings子目录里面,用文本编辑器打开org.eclipse.wst.common.project.facet.core.xml配置文件,如图所示:


修改红色画线部分,让它与项目的编译器版本设置保持一致即可。

要查看项目的编译器版本设置,在Eclipse环境中,鼠标右键选择项目,点击Properties,选择Java Compiler,可以在窗口右边看到编译器版本,如图所示:

阅读更多
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

不良信息举报

解决Java compiler level does not match the version of the installed Java project facet问题

最多只允许输入30个字

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭